#ifndef _INOTIFYUTILS_H
#define _INOTIFYUTILS_H

#include <stdbool.h>

int inotifyutils_str_to_event(char const * event);
char * inotifyutils_event_to_str(int events);
char * inotifyutils_event_to_str_sep(int events, char sep);
char * inotifyutils_filename_from_wd( int wd );
int inotifyutils_wd_from_filename( char const * filename );
bool inotifyutils_remove_watch_by_filename( char const * filename );
bool inotifyutils_remove_watch_by_wd( int wd );
bool inotifyutils_watch_file( char const * filename, int events );
bool inotifyutils_watch_files( char const * const * filenames, int events );
unsigned int inotifyutils_watch_recursively( char const * path, int events );
struct inotify_event * inotifyutils_next_event( int timeout );
int inotifyutils_error();
unsigned int inotifyutils_get_stat_by_wd( int wd, int event );
unsigned int inotifyutils_get_stat_total( int event );
unsigned int inotifyutils_get_stat_by_filename( char const * filename,
                                                int event );
void inotifyutils_initialize_stats();
bool inotifyutils_initialize();
void inotifyutils_print_event_descriptions();
bool inotifyutils_isdir( char const * path );

#endif     // _INOTIFYUTILS_H
